# Class T8GIEntityMeshLookup

##### Index

### Constructors

constructor

### Methods

getMeshCount
getMeshDescriptorIndex
getStyleIndex
getTransformIndex

## Constructors

### constructor

- new T8GIEntityMeshLookup(
  _entityGeometryMap: T8GIEntityGeometryMap,
  _geoInfo: GeometryInfoArrays,
  ): T8GIEntityMeshLookup

  #### Parameters

  - _entityGeometryMap: T8GIEntityGeometryMap
  - _geoInfo: GeometryInfoArrays

  #### Returns T8GIEntityMeshLookup

## Methods

### getMeshCount

- getMeshCount(localId: number): number

  #### Parameters

  - localId: number

  #### Returns number

### getMeshDescriptorIndex

- getMeshDescriptorIndex(localId: number, meshIndex: number): number

  #### Parameters

  - localId: number
  - meshIndex: number

  #### Returns number

### getStyleIndex

- getStyleIndex(localId: number, meshIndex: number): number

  #### Parameters

  - localId: number
  - meshIndex: number

  #### Returns number

### getTransformIndex

- getTransformIndex(localId: number, meshIndex: number): number

  #### Parameters

  - localId: number
  - meshIndex: number

  #### Returns number